/*
 * AresVGuardedTables.cpp
 *
 *  Created on: 11-Jul-08
 *      Author: indurks
 */

#include "AresV.h"

GuardedTables::GuardedTables(vector<Reaction> &rxns, vector<Chemical> &chems)
{
	for(int i = 0; i < (signed)rxns.size(); i++)
	{
		myRxns.push_back(rxns[i]);
		myRxns[i].ID = i;
	}

	for(int i = 0; i < (signed)chems.size(); i++)
		myChems.push_back(chems[i]);
}

Reaction GuardedTables::getRxn(int n)
{
	return myRxns[n];
}

int GuardedTables::getNumRxns()
{
	return myRxns.size();
}

Chemical GuardedTables::getChem(int n)
{
	return myChems[n];
}

int GuardedTables::getNumChems()
{
	return myChems.size();
}
